Bug 12478 - [S60] cache control present in the HTTP header is not properly supported.
Summary: [S60] cache control present in the HTTP header is not properly supported.
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 420+
Hardware: S60 Emulator S60 3rd edition
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-30 08:30 PST by Shyam Sareen
Modified: 2007-02-09 13:32 PST (History)
2 users (show)

See Also:


Attachments
3.2 patch file: HttpCacheUtil.cpp (1.51 KB, text/plain)
2007-01-30 08:34 PST, Shyam Sareen
no flags Details
Patch for 3.1m (1.52 KB, text/plain)
2007-01-30 12:39 PST, Shyam Sareen
no flags Details
3.1m Patch resumbit (1.62 KB, patch)
2007-01-31 09:31 PST, Shyam Sareen
zalan: review+
Details | Formatted Diff | Diff
3.2 patch resumbit. (1.55 KB, patch)
2007-01-31 09:32 PST, Shyam Sareen
zalan: review+
Details | Formatted Diff | Diff
Merge two if togetther. (1.50 KB, patch)
2007-01-31 13:43 PST, Shyam Sareen
zalan: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shyam Sareen 2007-01-30 08:30:36 PST
TSW ID: EAMO-6XTJVX.

The cache control present in the HTTP header is not properly 
supported.
Comment 1 Shyam Sareen 2007-01-30 08:34:01 PST
Created attachment 12794 [details]
3.2 patch file: HttpCacheUtil.cpp
Comment 2 Shyam Sareen 2007-01-30 12:39:11 PST
Created attachment 12806 [details]
Patch for 3.1m
Comment 3 Shyam Sareen 2007-01-31 09:31:13 PST
Created attachment 12826 [details]
3.1m Patch resumbit
Comment 4 Shyam Sareen 2007-01-31 09:32:16 PST
Created attachment 12827 [details]
3.2 patch resumbit.
Comment 5 zalan 2007-01-31 11:44:17 PST
Comment on attachment 12827 [details]
3.2 patch resumbit.

r=me
Comment 6 zalan 2007-01-31 11:44:52 PST
Comment on attachment 12826 [details]
3.1m Patch resumbit

r=me
Comment 7 Shyam Sareen 2007-01-31 13:43:09 PST
Created attachment 12834 [details]
Merge two if togetther.
Comment 8 zalan 2007-01-31 13:44:53 PST
Comment on attachment 12834 [details]
Merge two if togetther.

r=me
Comment 9 Bradley Morrison 2007-01-31 14:00:39 PST
Landed - r19310 & r19311
Comment 10 Krishna 2007-02-09 13:32:45 PST
Verified and Closed.